﻿module("VOICE")

distances = {}

distances.patterns = {
	L"0.4",
	L"0.6",
	L"0.9",
	L"1",
	L"1,1",
	L"1,2",
	L"1,3",
	L"1,4",
	L"1,5",
	L"1,6",
	L"1,7",
	L"1,8",
	L"1,9",
	L"1.1",
	L"1.2",
	L"1.3",
	L"1.4",
	L"1.5",
	L"1.6",
	L"1.7",
	L"1.8",
	L"1.9",
	L"10",
	L"100",
	L"1000",
	L"11",
	L"12",
	L"13",
	L"14",
	L"140",
	L"15",
	L"16",
	L"17",
	L"18",
	L"180",
	L"19",
	L"2",
	L"2,1",
	L"2,2",
	L"2,3",
	L"2,4",
	L"2,5",
	L"2,6",
	L"2,7",
	L"2,8",
	L"2,9",
	L"2.1",
	L"2.2",
	L"2.3",
	L"2.4",
	L"2.5",
	L"2.6",
	L"2.7",
	L"2.8",
	L"2.9",
	L"20",
	L"200",
	L"21",
	L"22",
	L"220",
	L"23",
	L"24",
	L"25",
	L"26",
	L"27",
	L"28",
	L"29",
	L"290",
	L"3",
	L"3,1",
	L"3,2",
	L"3,3",
	L"3,4",
	L"3,5",
	L"3,6",
	L"3,7",
	L"3,8",
	L"3,9",
	L"3.1",
	L"3.2",
	L"3.3",
	L"3.4",
	L"3.5",
	L"3.6",
	L"3.7",
	L"3.8",
	L"3.9",
	L"30",
	L"300",
	L"31",
	L"310",
	L"32",
	L"33",
	L"34",
	L"35",
	L"36",
	L"37",
	L"38",
	L"39",
	L"390",
	L"4",
	L"4,1",
	L"4,2",
	L"4,3",
	L"4,4",
	L"4,5",
	L"4,6",
	L"4,7",
	L"4,8",
	L"4,9",
	L"4.1",
	L"4.2",
	L"4.3",
	L"4.4",
	L"4.5",
	L"4.6",
	L"4.7",
	L"4.8",
	L"4.9",
	L"40",
	L"400",
	L"41",
	L"410",
	L"42",
	L"43",
	L"44",
	L"45",
	L"46",
	L"47",
	L"48",
	L"49",
	L"490",
	L"5",
	L"5,1",
	L"5,2",
	L"5,3",
	L"5,4",
	L"5,5",
	L"5,6",
	L"5,7",
	L"5,8",
	L"5,9",
	L"5.1",
	L"5.2",
	L"5.3",
	L"5.4",
	L"5.5",
	L"5.6",
	L"5.7",
	L"5.8",
	L"5.9",
	L"50",
	L"500",
	L"51",
	L"510",
	L"52",
	L"520",
	L"53",
	L"530",
	L"54",
	L"540",
	L"55",
	L"56",
	L"560",
	L"57",
	L"570",
	L"58",
	L"580",
	L"59",
	L"590",
	L"6",
	L"6,1",
	L"6,2",
	L"6,3",
	L"6,4",
	L"6,5",
	L"6,6",
	L"6,7",
	L"6,8",
	L"6,9",
	L"6.1",
	L"6.2",
	L"6.3",
	L"6.4",
	L"6.5",
	L"6.6",
	L"6.7",
	L"6.8",
	L"6.9",
	L"60",
	L"600",
	L"61",
	L"610",
	L"62",
	L"620",
	L"63",
	L"630",
	L"64",
	L"640",
	L"65",
	L"66",
	L"660",
	L"67",
	L"670",
	L"68",
	L"680",
	L"69",
	L"690",
	L"7",
	L"7,1",
	L"7,2",
	L"7,3",
	L"7,4",
	L"7,5",
	L"7,6",
	L"7,7",
	L"7,8",
	L"7,9",
	L"7.1",
	L"7.2",
	L"7.3",
	L"7.4",
	L"7.5",
	L"7.6",
	L"7.7",
	L"7.8",
	L"7.9",
	L"70",
	L"700",
	L"71",
	L"710",
	L"72",
	L"720",
	L"73",
	L"730",
	L"74",
	L"740",
	L"75",
	L"76",
	L"760",
	L"77",
	L"770",
	L"78",
	L"780",
	L"79",
	L"790",
	L"8",
	L"8,1",
	L"8,2",
	L"8,3",
	L"8,4",
	L"8,5",
	L"8,6",
	L"8,7",
	L"8,8",
	L"8,9",
	L"8.1",
	L"8.2",
	L"8.3",
	L"8.4",
	L"8.5",
	L"8.6",
	L"8.7",
	L"8.8",
	L"8.9",
	L"80",
	L"800",
	L"81",
	L"810",
	L"82",
	L"820",
	L"83",
	L"830",
	L"84",
	L"840",
	L"85",
	L"86",
	L"860",
	L"87",
	L"870",
	L"88",
	L"880",
	L"89",
	L"890",
	L"9",
	L"9,1",
	L"9,2",
	L"9,3",
	L"9,4",
	L"9,5",
	L"9,6",
	L"9,7",
	L"9,8",
	L"9,9",
	L"9.1",
	L"9.2",
	L"9.3",
	L"9.4",
	L"9.5",
	L"9.6",
	L"9.7",
	L"9.8",
	L"9.9",
	L"90",
	L"900",
	L"91",
	L"910",
	L"92",
	L"920",
	L"93",
	L"930",
	L"94",
	L"940",
	L"95",
	L"96",
	L"960",
	L"97",
	L"970",
	L"98",
	L"980",
	L"99",
	L"990",
	L"Fél",
	L"Hatszázötven",
	L"Háromnegyed",
	L"Háromszázharminc",
	L"Háromszázhatvan",
	L"Háromszázhetven",
	L"Háromszázhusz",
	L"Háromszáznegyven",
	L"Háromszáznyolc",
	L"Háromszázötven",
	L"Hétszázötven",
	L"Kilenc-száz-ötven",
	L"Kétszázharminc",
	L"Kétszázhatvan",
	L"Kétszázhetven",
	L"Kétszáznegyven",
	L"Kétszáznyolcvan",
	L"Kétszáztiz",
	L"Kétszázötven",
	L"Negyed",
	L"Nyolc-száz-ötven",
	L"Négyszáz",
	L"Négyszázharminc",
	L"Négyszázhatvan",
	L"Négyszázhetven",
	L"Négyszáznegyven",
	L"Négyszáznyolc",
	L"Négyszázötven",
	L"Százharminc",
	L"Százhatvan",
	L"Százhetven",
	L"Százhusz",
	L"Százkilencven",
	L"Száztiz",
	L"Százötven",
	L"fél",
	L"hatszázötven",
	L"husz",
	L"háromnegyed",
	L"háromszázharminc",
	L"háromszázhatvan",
	L"háromszázhetven",
	L"háromszázhusz",
	L"háromszáznegyven",
	L"háromszáznyolc",
	L"háromszázötven",
	L"hétszázötven",
	L"jard",
	L"jard.",
	L"jardot.",
	L"kilenc-száz-ötven",
	L"kilométer",
	L"kilométer.",
	L"kilométert.",
	L"kétszázharminc",
	L"kétszázhatvan",
	L"kétszázhetven",
	L"kétszáznegyven",
	L"kétszáznyolcvan",
	L"kétszáztiz",
	L"kétszázötven",
	L"láb",
	L"láb.",
	L"lábat.",
	L"mint",
	L"mérföld",
	L"mérföld.",
	L"mérföldet.",
	L"méter",
	L"méter.",
	L"métert.",
	L"negyed",
	L"nyolc-száz-ötven",
	L"négyszáz",
	L"négyszázharminc",
	L"négyszázhatvan",
	L"négyszázhetven",
	L"négyszáznegyven",
	L"négyszáznyolc",
	L"négyszázötven",
	L"százharminc",
	L"százhatvan",
	L"százhetven",
	L"százhusz",
	L"százkilencven",
	L"száztiz",
	L"százötven",
	L"több",
	L"múlva",
	L"van",
	L"Öt",
	L"Ötszázötven",
	L"öt",
	L"ötszázötven",
}

distances.meters = {
	10, "\23\131\7\131\27\0\23\131\9\0\23\131\8\0",
	20, "\56\131\7\131\27\0\56\131\9\0\56\131\8\0",
	30, "\88\131\7\131\27\0\88\131\9\0\88\131\8\0",
	40, "\120\131\7\131\27\0\120\131\9\0\120\131\8\0",
	50, "\129\24\131\7\131\27\0\129\24\131\9\0\129\24\131\8\0",
	60, "\129\62\131\7\131\27\0\129\62\131\9\0\129\62\131\8\0",
	70, "\129\100\131\7\131\27\0\129\100\131\9\0\129\100\131\8\0",
	80, "\130\10\131\7\131\27\0\130\10\131\9\0\130\10\131\8\0",
	90, "\130\48\131\7\131\27\0\130\48\131\9\0\130\48\131\8\0",
	100, "\24\131\7\131\27\0\24\131\9\0\24\131\8\0",
	110, "\130\100\131\7\131\27\0\131\24\131\9\0\131\24\131\8\0",
	120, "\130\98\131\7\131\27\0\131\22\131\9\0\131\22\131\8\0",
	130, "\130\95\131\7\131\27\0\131\19\131\9\0\131\19\131\8\0",
	140, "\30\131\7\131\27\0\30\131\9\0\30\131\8\0",
	150, "\130\101\131\7\131\27\0\131\25\131\9\0\131\25\131\8\0",
	160, "\130\96\131\7\131\27\0\131\20\131\9\0\131\20\131\8\0",
	170, "\130\97\131\7\131\27\0\131\21\131\9\0\131\21\131\8\0",
	180, "\35\131\7\131\27\0\35\131\9\0\35\131\8\0",
	190, "\130\99\131\7\131\27\0\131\23\131\9\0\131\23\131\8\0",
	200, "\57\131\7\131\27\0\57\131\9\0\57\131\8\0",
	210, "\130\84\131\7\131\27\0\130\126\131\9\0\130\126\131\8\0",
	220, "\60\131\7\131\27\0\60\131\9\0\60\131\8\0",
	230, "\130\79\131\7\131\27\0\130\121\131\9\0\130\121\131\8\0",
	240, "\130\82\131\7\131\27\0\130\124\131\9\0\130\124\131\8\0",
	250, "\130\85\131\7\131\27\0\130\127\131\9\0\130\127\131\8\0",
	260, "\130\80\131\7\131\27\0\130\122\131\9\0\130\122\131\8\0",
	270, "\130\81\131\7\131\27\0\130\123\131\9\0\130\123\131\8\0",
	280, "\130\83\131\7\131\27\0\130\125\131\9\0\130\125\131\8\0",
	290, "\68\131\7\131\27\0\68\131\9\0\68\131\8\0",
	300, "\89\131\7\131\27\0\89\131\9\0\89\131\8\0",
	310, "\91\131\7\131\27\0\91\131\9\0\91\131\8\0",
	320, "\130\73\131\7\131\27\0\130\109\131\9\0\130\109\131\8\0",
	330, "\130\70\131\7\131\27\0\130\106\131\9\0\130\106\131\8\0",
	340, "\130\74\131\7\131\27\0\130\110\131\9\0\130\110\131\8\0",
	350, "\130\76\131\7\131\27\0\130\112\131\9\0\130\112\131\8\0",
	360, "\130\71\131\7\131\27\0\130\107\131\9\0\130\107\131\8\0",
	370, "\130\72\131\7\131\27\0\130\108\131\9\0\130\108\131\8\0",
	380, "\130\75\131\28\131\7\131\27\0\130\111\131\28\131\9\0\130\111\131\28\131\8\0",
	390, "\100\131\7\131\27\0\100\131\9\0\100\131\8\0",
	400, "\121\131\7\131\27\0\121\131\9\0\121\131\8\0",
	410, "\123\131\7\131\27\0\123\131\9\0\123\131\8\0",
	420, "\130\88\130\104\131\7\131\27\0\131\12\130\104\131\9\0\131\12\130\104\131\8\0",
	430, "\130\89\131\7\131\27\0\131\13\131\9\0\131\13\131\8\0",
	440, "\130\92\131\7\131\27\0\131\16\131\9\0\131\16\131\8\0",
	450, "\130\94\131\7\131\27\0\131\18\131\9\0\131\18\131\8\0",
	460, "\130\90\131\7\131\27\0\131\14\131\9\0\131\14\131\8\0",
	470, "\130\91\131\7\131\27\0\131\15\131\9\0\131\15\131\8\0",
	480, "\130\93\131\28\131\7\131\27\0\131\17\131\28\131\9\0\131\17\131\28\131\8\0",
	490, "\129\4\131\7\131\27\0\129\4\131\9\0\129\4\131\8\0",
	500, "\129\25\131\7\131\27\0\129\25\131\9\0\129\25\131\8\0",
	510, "\129\27\131\7\131\27\0\129\27\131\9\0\129\27\131\8\0",
	520, "\129\29\131\7\131\27\0\129\29\131\9\0\129\29\131\8\0",
	530, "\129\31\131\7\131\27\0\129\31\131\9\0\129\31\131\8\0",
	540, "\129\33\131\7\131\27\0\129\33\131\9\0\129\33\131\8\0",
	550, "\131\30\131\7\131\27\0\131\32\131\9\0\131\32\131\8\0",
	560, "\129\36\131\7\131\27\0\129\36\131\9\0\129\36\131\8\0",
	570, "\129\38\131\7\131\27\0\129\38\131\9\0\129\38\131\8\0",
	580, "\129\40\131\7\131\27\0\129\40\131\9\0\129\40\131\8\0",
	590, "\129\42\131\7\131\27\0\129\42\131\9\0\129\42\131\8\0",
	600, "\129\63\131\7\131\27\0\129\63\131\9\0\129\63\131\8\0",
	610, "\129\65\131\7\131\27\0\129\65\131\9\0\129\65\131\8\0",
	620, "\129\67\131\7\131\27\0\129\67\131\9\0\129\67\131\8\0",
	630, "\129\69\131\7\131\27\0\129\69\131\9\0\129\69\131\8\0",
	640, "\129\71\131\7\131\27\0\129\71\131\9\0\129\71\131\8\0",
	650, "\130\68\131\7\131\27\0\130\103\131\9\0\130\103\131\8\0",
	660, "\129\74\131\7\131\27\0\129\74\131\9\0\129\74\131\8\0",
	670, "\129\76\131\7\131\27\0\129\76\131\9\0\129\76\131\8\0",
	680, "\129\78\131\7\131\27\0\129\78\131\9\0\129\78\131\8\0",
	690, "\129\80\131\7\131\27\0\129\80\131\9\0\129\80\131\8\0",
	700, "\129\101\131\7\131\27\0\129\101\131\9\0\129\101\131\8\0",
	710, "\129\103\131\7\131\27\0\129\103\131\9\0\129\103\131\8\0",
	720, "\129\105\131\7\131\27\0\129\105\131\9\0\129\105\131\8\0",
	730, "\129\107\131\7\131\27\0\129\107\131\9\0\129\107\131\8\0",
	740, "\129\109\131\7\131\27\0\129\109\131\9\0\129\109\131\8\0",
	750, "\130\77\131\7\131\27\0\130\113\131\9\0\130\113\131\8\0",
	760, "\129\112\131\7\131\27\0\129\112\131\9\0\129\112\131\8\0",
	770, "\129\114\131\7\131\27\0\129\114\131\9\0\129\114\131\8\0",
	780, "\129\116\131\7\131\27\0\129\116\131\9\0\129\116\131\8\0",
	790, "\129\118\131\7\131\27\0\129\118\131\9\0\129\118\131\8\0",
	800, "\130\11\131\7\131\27\0\130\11\131\9\0\130\11\131\8\0",
	810, "\130\13\131\7\131\27\0\130\13\131\9\0\130\13\131\8\0",
	820, "\130\15\131\7\131\27\0\130\15\131\9\0\130\15\131\8\0",
	830, "\130\17\131\7\131\27\0\130\17\131\9\0\130\17\131\8\0",
	840, "\130\19\131\7\131\27\0\130\19\131\9\0\130\19\131\8\0",
	850, "\130\87\131\7\131\27\0\131\11\131\9\0\131\11\131\8\0",
	860, "\130\22\131\7\131\27\0\130\22\131\9\0\130\22\131\8\0",
	870, "\130\24\131\7\131\27\0\130\24\131\9\0\130\24\131\8\0",
	880, "\130\26\131\7\131\27\0\130\26\131\9\0\130\26\131\8\0",
	890, "\130\28\131\7\131\27\0\130\28\131\9\0\130\28\131\8\0",
	900, "\130\49\131\7\131\27\0\130\49\131\9\0\130\49\131\8\0",
	910, "\130\51\131\7\131\27\0\130\51\131\9\0\130\51\131\8\0",
	920, "\130\53\131\7\131\27\0\130\53\131\9\0\130\53\131\8\0",
	930, "\130\55\131\7\131\27\0\130\55\131\9\0\130\55\131\8\0",
	940, "\130\57\131\7\131\27\0\130\57\131\9\0\130\57\131\8\0",
	950, "\130\78\131\7\131\27\0\130\117\131\9\0\130\117\131\8\0",
	960, "\130\60\131\7\131\27\0\130\60\131\9\0\130\60\131\8\0",
	970, "\130\62\131\7\131\27\0\130\62\131\9\0\130\62\131\8\0",
	980, "\130\64\131\7\131\27\0\130\64\131\9\0\130\64\131\8\0",
	990, "\130\66\131\7\131\27\0\130\66\131\9\0\130\66\131\8\0",
	1000, "\4\130\118\131\27\0\4\130\120\0\4\130\119\0",
	1100, "\5\130\118\131\27\0\5\130\120\0\5\130\119\0",
	1200, "\6\130\118\131\27\0\6\130\120\0\6\130\119\0",
	1300, "\7\130\118\131\27\0\7\130\120\0\7\130\119\0",
	1400, "\8\130\118\131\27\0\8\130\120\0\8\130\119\0",
	1500, "\9\130\118\131\27\0\9\130\120\0\9\130\119\0",
	1600, "\10\130\118\131\27\0\10\130\120\0\10\130\119\0",
	1700, "\11\130\118\131\27\0\11\130\120\0\11\130\119\0",
	1800, "\12\130\118\131\27\0\12\130\120\0\12\130\119\0",
	1900, "\13\130\118\131\27\0\13\130\120\0\13\130\119\0",
	2000, "\37\130\118\131\27\0\37\130\120\0\37\130\119\0",
	2100, "\38\130\118\131\27\0\38\130\120\0\38\130\119\0",
	2200, "\39\130\118\131\27\0\39\130\120\0\39\130\119\0",
	2300, "\40\130\118\131\27\0\40\130\120\0\40\130\119\0",
	2400, "\41\130\118\131\27\0\41\130\120\0\41\130\119\0",
	2500, "\42\130\118\131\27\0\42\130\120\0\42\130\119\0",
	2600, "\43\130\118\131\27\0\43\130\120\0\43\130\119\0",
	2700, "\44\130\118\131\27\0\44\130\120\0\44\130\119\0",
	2800, "\45\130\118\131\27\0\45\130\120\0\45\130\119\0",
	2900, "\46\130\118\131\27\0\46\130\120\0\46\130\119\0",
	3000, "\69\130\118\131\27\0\69\130\120\0\69\130\119\0",
	3100, "\70\130\118\131\27\0\70\130\120\0\70\130\119\0",
	3200, "\71\130\118\131\27\0\71\130\120\0\71\130\119\0",
	3300, "\72\130\118\131\27\0\72\130\120\0\72\130\119\0",
	3400, "\73\130\118\131\27\0\73\130\120\0\73\130\119\0",
	3500, "\74\130\118\131\27\0\74\130\120\0\74\130\119\0",
	3600, "\75\130\118\131\27\0\75\130\120\0\75\130\119\0",
	3700, "\76\130\118\131\27\0\76\130\120\0\76\130\119\0",
	3800, "\77\130\118\131\27\0\77\130\120\0\77\130\119\0",
	3900, "\78\130\118\131\27\0\78\130\120\0\78\130\119\0",
	4000, "\101\130\118\131\27\0\101\130\120\0\101\130\119\0",
	4100, "\102\130\118\131\27\0\102\130\120\0\102\130\119\0",
	4200, "\103\130\118\131\27\0\103\130\120\0\103\130\119\0",
	4300, "\104\130\118\131\27\0\104\130\120\0\104\130\119\0",
	4400, "\105\130\118\131\27\0\105\130\120\0\105\130\119\0",
	4500, "\106\130\118\131\27\0\106\130\120\0\106\130\119\0",
	4600, "\107\130\118\131\27\0\107\130\120\0\107\130\119\0",
	4700, "\108\130\118\131\27\0\108\130\120\0\108\130\119\0",
	4800, "\109\130\118\131\27\0\109\130\120\0\109\130\119\0",
	4900, "\110\130\118\131\27\0\110\130\120\0\110\130\119\0",
	5000, "\131\29\130\118\131\27\0\131\31\130\120\0\131\31\130\119\0",
	5100, "\129\6\130\118\131\27\0\129\6\130\120\0\129\6\130\119\0",
	5200, "\129\7\130\118\131\27\0\129\7\130\120\0\129\7\130\119\0",
	5300, "\129\8\130\118\131\27\0\129\8\130\120\0\129\8\130\119\0",
	5400, "\129\9\130\118\131\27\0\129\9\130\120\0\129\9\130\119\0",
	5500, "\129\10\130\118\131\27\0\129\10\130\120\0\129\10\130\119\0",
	5600, "\129\11\130\118\131\27\0\129\11\130\120\0\129\11\130\119\0",
	5700, "\129\12\130\118\131\27\0\129\12\130\120\0\129\12\130\119\0",
	5800, "\129\13\130\118\131\27\0\129\13\130\120\0\129\13\130\119\0",
	5900, "\129\14\130\118\131\27\0\129\14\130\120\0\129\14\130\119\0",
	6000, "\129\43\130\118\131\27\0\129\43\130\120\0\129\43\130\119\0",
	6100, "\129\44\130\118\131\27\0\129\44\130\120\0\129\44\130\119\0",
	6200, "\129\45\130\118\131\27\0\129\45\130\120\0\129\45\130\119\0",
	6300, "\129\46\130\118\131\27\0\129\46\130\120\0\129\46\130\119\0",
	6400, "\129\47\130\118\131\27\0\129\47\130\120\0\129\47\130\119\0",
	6500, "\129\48\130\118\131\27\0\129\48\130\120\0\129\48\130\119\0",
	6600, "\129\49\130\118\131\27\0\129\49\130\120\0\129\49\130\119\0",
	6700, "\129\50\130\118\131\27\0\129\50\130\120\0\129\50\130\119\0",
	6800, "\129\51\130\118\131\27\0\129\51\130\120\0\129\51\130\119\0",
	6900, "\129\52\130\118\131\27\0\129\52\130\120\0\129\52\130\119\0",
	7000, "\129\81\130\118\131\27\0\129\81\130\120\0\129\81\130\119\0",
	7100, "\129\82\130\118\131\27\0\129\82\130\120\0\129\82\130\119\0",
	7200, "\129\83\130\118\131\27\0\129\83\130\120\0\129\83\130\119\0",
	7300, "\129\84\130\118\131\27\0\129\84\130\120\0\129\84\130\119\0",
	7400, "\129\85\130\118\131\27\0\129\85\130\120\0\129\85\130\119\0",
	7500, "\129\86\130\118\131\27\0\129\86\130\120\0\129\86\130\119\0",
	7600, "\129\87\130\118\131\27\0\129\87\130\120\0\129\87\130\119\0",
	7700, "\129\88\130\118\131\27\0\129\88\130\120\0\129\88\130\119\0",
	7800, "\129\89\130\118\131\27\0\129\89\130\120\0\129\89\130\119\0",
	7900, "\129\90\130\118\131\27\0\129\90\130\120\0\129\90\130\119\0",
	8000, "\129\119\130\118\131\27\0\129\119\130\120\0\129\119\130\119\0",
	8100, "\129\120\130\118\131\27\0\129\120\130\120\0\129\120\130\119\0",
	8200, "\129\121\130\118\131\27\0\129\121\130\120\0\129\121\130\119\0",
	8300, "\129\122\130\118\131\27\0\129\122\130\120\0\129\122\130\119\0",
	8400, "\129\123\130\118\131\27\0\129\123\130\120\0\129\123\130\119\0",
	8500, "\129\124\130\118\131\27\0\129\124\130\120\0\129\124\130\119\0",
	8600, "\129\125\130\118\131\27\0\129\125\130\120\0\129\125\130\119\0",
	8700, "\129\126\130\118\131\27\0\129\126\130\120\0\129\126\130\119\0",
	8800, "\129\127\130\118\131\27\0\129\127\130\120\0\129\127\130\119\0",
	8900, "\130\0\130\118\131\27\0\130\0\130\120\0\130\0\130\119\0",
	9000, "\130\29\130\118\131\27\0\130\29\130\120\0\130\29\130\119\0",
	9100, "\130\30\130\118\131\27\0\130\30\130\120\0\130\30\130\119\0",
	9200, "\130\31\130\118\131\27\0\130\31\130\120\0\130\31\130\119\0",
	9300, "\130\32\130\118\131\27\0\130\32\130\120\0\130\32\130\119\0",
	9400, "\130\33\130\118\131\27\0\130\33\130\120\0\130\33\130\119\0",
	9500, "\130\34\130\118\131\27\0\130\34\130\120\0\130\34\130\119\0",
	9600, "\130\35\130\118\131\27\0\130\35\130\120\0\130\35\130\119\0",
	9700, "\130\36\130\118\131\27\0\130\36\130\120\0\130\36\130\119\0",
	9800, "\130\37\130\118\131\27\0\130\37\130\120\0\130\37\130\119\0",
	9900, "\130\38\130\118\131\27\0\130\38\130\120\0\130\38\130\119\0",
	10000, "\23\130\118\131\27\0\23\130\120\0\23\130\119\0",
	11000, "\26\130\118\131\27\0\26\130\120\0\26\130\119\0",
	12000, "\27\130\118\131\27\0\27\130\120\0\27\130\119\0",
	13000, "\28\130\118\131\27\0\28\130\120\0\28\130\119\0",
	14000, "\29\130\118\131\27\0\29\130\120\0\29\130\119\0",
	15000, "\31\130\118\131\27\0\31\130\120\0\31\130\119\0",
	16000, "\32\130\118\131\27\0\32\130\120\0\32\130\119\0",
	17000, "\33\130\118\131\27\0\33\130\120\0\33\130\119\0",
	18000, "\34\130\118\131\27\0\34\130\120\0\34\130\119\0",
	19000, "\36\130\118\131\27\0\36\130\120\0\36\130\119\0",
	20000, "\56\130\118\131\27\0\56\130\120\0\56\130\119\0",
	21000, "\58\130\118\131\27\0\58\130\120\0\58\130\119\0",
	22000, "\59\130\118\131\27\0\59\130\120\0\59\130\119\0",
	23000, "\61\130\118\131\27\0\61\130\120\0\61\130\119\0",
	24000, "\62\130\118\131\27\0\62\130\120\0\62\130\119\0",
	25000, "\63\130\118\131\27\0\63\130\120\0\63\130\119\0",
	26000, "\64\130\118\131\27\0\64\130\120\0\64\130\119\0",
	27000, "\65\130\118\131\27\0\65\130\120\0\65\130\119\0",
	28000, "\66\130\118\131\27\0\66\130\120\0\66\130\119\0",
	29000, "\67\130\118\131\27\0\67\130\120\0\67\130\119\0",
	30000, "\88\130\118\131\27\0\88\130\120\0\88\130\119\0",
	31000, "\90\130\118\131\27\0\90\130\120\0\90\130\119\0",
	32000, "\92\130\118\131\27\0\92\130\120\0\92\130\119\0",
	33000, "\93\130\118\131\27\0\93\130\120\0\93\130\119\0",
	34000, "\94\130\118\131\27\0\94\130\120\0\94\130\119\0",
	35000, "\95\130\118\131\27\0\95\130\120\0\95\130\119\0",
	36000, "\96\130\118\131\27\0\96\130\120\0\96\130\119\0",
	37000, "\97\130\118\131\27\0\97\130\120\0\97\130\119\0",
	38000, "\98\130\118\131\27\0\98\130\120\0\98\130\119\0",
	39000, "\99\130\118\131\27\0\99\130\120\0\99\130\119\0",
	40000, "\120\130\118\131\27\0\120\130\120\0\120\130\119\0",
	41000, "\122\130\118\131\27\0\122\130\120\0\122\130\119\0",
	42000, "\124\130\118\131\27\0\124\130\120\0\124\130\119\0",
	43000, "\125\130\118\131\27\0\125\130\120\0\125\130\119\0",
	44000, "\126\130\118\131\27\0\126\130\120\0\126\130\119\0",
	45000, "\127\130\118\131\27\0\127\130\120\0\127\130\119\0",
	46000, "\129\0\130\118\131\27\0\129\0\130\120\0\129\0\130\119\0",
	47000, "\129\1\130\118\131\27\0\129\1\130\120\0\129\1\130\119\0",
	48000, "\129\2\130\118\131\27\0\129\2\130\120\0\129\2\130\119\0",
	49000, "\129\3\130\118\131\27\0\129\3\130\120\0\129\3\130\119\0",
	50000, "\129\24\130\118\131\27\0\129\24\130\120\0\129\24\130\119\0",
	51000, "\129\26\130\118\131\27\0\129\26\130\120\0\129\26\130\119\0",
	52000, "\129\28\130\118\131\27\0\129\28\130\120\0\129\28\130\119\0",
	53000, "\129\30\130\118\131\27\0\129\30\130\120\0\129\30\130\119\0",
	54000, "\129\32\130\118\131\27\0\129\32\130\120\0\129\32\130\119\0",
	55000, "\129\34\130\118\131\27\0\129\34\130\120\0\129\34\130\119\0",
	56000, "\129\35\130\118\131\27\0\129\35\130\120\0\129\35\130\119\0",
	57000, "\129\37\130\118\131\27\0\129\37\130\120\0\129\37\130\119\0",
	58000, "\129\39\130\118\131\27\0\129\39\130\120\0\129\39\130\119\0",
	59000, "\129\41\130\118\131\27\0\129\41\130\120\0\129\41\130\119\0",
	60000, "\129\62\130\118\131\27\0\129\62\130\120\0\129\62\130\119\0",
	61000, "\129\64\130\118\131\27\0\129\64\130\120\0\129\64\130\119\0",
	62000, "\129\66\130\118\131\27\0\129\66\130\120\0\129\66\130\119\0",
	63000, "\129\68\130\118\131\27\0\129\68\130\120\0\129\68\130\119\0",
	64000, "\129\70\130\118\131\27\0\129\70\130\120\0\129\70\130\119\0",
	65000, "\129\72\130\118\131\27\0\129\72\130\120\0\129\72\130\119\0",
	66000, "\129\73\130\118\131\27\0\129\73\130\120\0\129\73\130\119\0",
	67000, "\129\75\130\118\131\27\0\129\75\130\120\0\129\75\130\119\0",
	68000, "\129\77\130\118\131\27\0\129\77\130\120\0\129\77\130\119\0",
	69000, "\129\79\130\118\131\27\0\129\79\130\120\0\129\79\130\119\0",
	70000, "\129\100\130\118\131\27\0\129\100\130\120\0\129\100\130\119\0",
	71000, "\129\102\130\118\131\27\0\129\102\130\120\0\129\102\130\119\0",
	72000, "\129\104\130\118\131\27\0\129\104\130\120\0\129\104\130\119\0",
	73000, "\129\106\130\118\131\27\0\129\106\130\120\0\129\106\130\119\0",
	74000, "\129\108\130\118\131\27\0\129\108\130\120\0\129\108\130\119\0",
	75000, "\129\110\130\118\131\27\0\129\110\130\120\0\129\110\130\119\0",
	76000, "\129\111\130\118\131\27\0\129\111\130\120\0\129\111\130\119\0",
	77000, "\129\113\130\118\131\27\0\129\113\130\120\0\129\113\130\119\0",
	78000, "\129\115\130\118\131\27\0\129\115\130\120\0\129\115\130\119\0",
	79000, "\129\117\130\118\131\27\0\129\117\130\120\0\129\117\130\119\0",
	80000, "\130\10\130\118\131\27\0\130\10\130\120\0\130\10\130\119\0",
	81000, "\130\12\130\118\131\27\0\130\12\130\120\0\130\12\130\119\0",
	82000, "\130\14\130\118\131\27\0\130\14\130\120\0\130\14\130\119\0",
	83000, "\130\16\130\118\131\27\0\130\16\130\120\0\130\16\130\119\0",
	84000, "\130\18\130\118\131\27\0\130\18\130\120\0\130\18\130\119\0",
	85000, "\130\20\130\118\131\27\0\130\20\130\120\0\130\20\130\119\0",
	86000, "\130\21\130\118\131\27\0\130\21\130\120\0\130\21\130\119\0",
	87000, "\130\23\130\118\131\27\0\130\23\130\120\0\130\23\130\119\0",
	88000, "\130\25\130\118\131\27\0\130\25\130\120\0\130\25\130\119\0",
	89000, "\130\27\130\118\131\27\0\130\27\130\120\0\130\27\130\119\0",
	90000, "\130\48\130\118\131\27\0\130\48\130\120\0\130\48\130\119\0",
	91000, "\130\50\130\118\131\27\0\130\50\130\120\0\130\50\130\119\0",
	92000, "\130\52\130\118\131\27\0\130\52\130\120\0\130\52\130\119\0",
	93000, "\130\54\130\118\131\27\0\130\54\130\120\0\130\54\130\119\0",
	94000, "\130\56\130\118\131\27\0\130\56\130\120\0\130\56\130\119\0",
	95000, "\130\58\130\118\131\27\0\130\58\130\120\0\130\58\130\119\0",
	96000, "\130\59\130\118\131\27\0\130\59\130\120\0\130\59\130\119\0",
	97000, "\130\61\130\118\131\27\0\130\61\130\120\0\130\61\130\119\0",
	98000, "\130\63\130\118\131\27\0\130\63\130\120\0\130\63\130\119\0",
	99000, "\130\65\130\118\131\27\0\130\65\130\120\0\130\65\130\119\0",
	100000, "\24\130\118\131\27\0\24\130\120\0\24\130\119\0",
	110000, "\130\100\130\118\131\27\0\131\24\130\120\0\131\24\130\119\0",
	120000, "\130\98\130\118\131\27\0\131\22\130\120\0\131\22\130\119\0",
	130000, "\130\95\130\118\131\27\0\131\19\130\120\0\131\19\130\119\0",
	140000, "\30\130\118\131\27\0\30\130\120\0\30\130\119\0",
	150000, "\130\101\130\118\131\27\0\131\25\130\120\0\131\25\130\119\0",
	160000, "\130\96\130\118\131\27\0\131\20\130\120\0\131\20\130\119\0",
	170000, "\130\97\130\118\131\27\0\131\21\130\120\0\131\21\130\119\0",
	180000, "\35\130\118\131\27\0\35\130\120\0\35\130\119\0",
	190000, "\130\99\130\118\131\27\0\131\23\130\120\0\131\23\130\119\0",
	200000, "\57\130\118\131\27\0\57\130\120\0\57\130\119\0",
	210000, "\130\84\130\118\131\27\0\130\126\130\120\0\130\126\130\119\0",
	220000, "\60\130\118\131\27\0\60\130\120\0\60\130\119\0",
	230000, "\130\79\130\118\131\27\0\130\121\130\120\0\130\121\130\119\0",
	240000, "\130\82\130\118\131\27\0\130\124\130\120\0\130\124\130\119\0",
	250000, "\130\85\130\118\131\27\0\130\127\130\120\0\130\127\130\119\0",
	260000, "\130\80\130\118\131\27\0\130\122\130\120\0\130\122\130\119\0",
	270000, "\130\81\130\118\131\27\0\130\123\130\120\0\130\123\130\119\0",
	280000, "\130\83\130\118\131\27\0\130\125\130\120\0\130\125\130\119\0",
	290000, "\68\130\118\131\27\0\68\130\120\0\68\130\119\0",
	300000, "\89\130\118\131\27\0\89\130\120\0\89\130\119\0",
	310000, "\91\130\118\131\27\0\91\130\120\0\91\130\119\0",
	320000, "\130\73\130\118\131\27\0\130\109\130\120\0\130\109\130\119\0",
	330000, "\130\70\130\118\131\27\0\130\106\130\120\0\130\106\130\119\0",
	340000, "\130\74\130\118\131\27\0\130\110\130\120\0\130\110\130\119\0",
	350000, "\130\76\130\118\131\27\0\130\112\130\120\0\130\112\130\119\0",
	360000, "\130\71\130\118\131\27\0\130\107\130\120\0\130\107\130\119\0",
	370000, "\130\72\130\118\131\27\0\130\108\130\120\0\130\108\130\119\0",
	380000, "\130\75\131\28\130\118\131\27\0\130\111\131\28\130\120\0\130\111\131\28\130\119\0",
	390000, "\100\130\118\131\27\0\100\130\120\0\100\130\119\0",
	400000, "\121\130\118\131\27\0\121\130\120\0\121\130\119\0",
	410000, "\123\130\118\131\27\0\123\130\120\0\123\130\119\0",
	420000, "\130\88\130\104\130\118\131\27\0\131\12\130\104\130\120\0\131\12\130\104\130\119\0",
	430000, "\130\89\130\118\131\27\0\131\13\130\120\0\131\13\130\119\0",
	440000, "\130\92\130\118\131\27\0\131\16\130\120\0\131\16\130\119\0",
	450000, "\130\94\130\118\131\27\0\131\18\130\120\0\131\18\130\119\0",
	460000, "\130\90\130\118\131\27\0\131\14\130\120\0\131\14\130\119\0",
	470000, "\130\91\130\118\131\27\0\131\15\130\120\0\131\15\130\119\0",
	480000, "\130\93\131\28\130\118\131\27\0\131\17\131\28\130\120\0\131\17\131\28\130\119\0",
	490000, "\129\4\130\118\131\27\0\129\4\130\120\0\129\4\130\119\0",
	500000, "\129\25\130\118\131\27\0\129\25\130\120\0\129\25\130\119\0",
	510000, "\131\26\131\3\129\25\130\118\131\27\0\131\26\131\3\129\25\130\120\0\131\26\131\3\129\25\130\119\0",
}

distances.feet = {
	15, "\129\24\131\0\131\27\0\129\24\131\2\0\129\24\131\1\0",
	30, "\24\131\0\131\27\0\24\131\2\0\24\131\1\0",
	46, "\130\101\131\0\131\27\0\131\25\131\2\0\131\25\131\1\0",
	61, "\57\131\0\131\27\0\57\131\2\0\57\131\1\0",
	91, "\89\131\0\131\27\0\89\131\2\0\89\131\1\0",
	122, "\121\131\0\131\27\0\121\131\2\0\121\131\1\0",
	152, "\129\25\131\0\131\27\0\129\25\131\2\0\129\25\131\1\0",
	183, "\129\63\131\0\131\27\0\129\63\131\2\0\129\63\131\1\0",
	213, "\129\101\131\0\131\27\0\129\101\131\2\0\129\101\131\1\0",
	244, "\130\11\131\0\131\27\0\130\11\131\2\0\130\11\131\1\0",
	274, "\130\49\131\0\131\27\0\130\49\131\2\0\130\49\131\1\0",
	305, "\25\131\0\131\27\0\25\131\2\0\25\131\1\0",
	402, "\130\86\131\4\131\27\0\131\10\131\6\0\131\10\131\5\0",
	644, "\1\131\4\131\27\0\1\131\6\0\1\131\5\0",
	805, "\130\67\131\4\131\27\0\130\102\131\6\0\130\102\131\5\0",
	966, "\2\131\4\131\27\0\2\131\6\0\2\131\5\0",
	1127, "\130\69\131\4\131\27\0\130\105\131\6\0\130\105\131\5\0",
	1448, "\3\131\4\131\27\0\3\131\6\0\3\131\5\0",
	1609, "\4\131\4\131\27\0\4\131\6\0\4\131\5\0",
	1770, "\14\131\4\131\27\0\14\131\6\0\14\131\5\0",
	1931, "\15\131\4\131\27\0\15\131\6\0\15\131\5\0",
	2092, "\16\131\4\131\27\0\16\131\6\0\16\131\5\0",
	2253, "\17\131\4\131\27\0\17\131\6\0\17\131\5\0",
	2414, "\18\131\4\131\27\0\18\131\6\0\18\131\5\0",
	2575, "\19\131\4\131\27\0\19\131\6\0\19\131\5\0",
	2736, "\20\131\4\131\27\0\20\131\6\0\20\131\5\0",
	2897, "\21\131\4\131\27\0\21\131\6\0\21\131\5\0",
	3058, "\22\131\4\131\27\0\22\131\6\0\22\131\5\0",
	3219, "\37\131\4\131\27\0\37\131\6\0\37\131\5\0",
	3380, "\47\131\4\131\27\0\47\131\6\0\47\131\5\0",
	3541, "\48\131\4\131\27\0\48\131\6\0\48\131\5\0",
	3701, "\49\131\4\131\27\0\49\131\6\0\49\131\5\0",
	3862, "\50\131\4\131\27\0\50\131\6\0\50\131\5\0",
	4023, "\51\131\4\131\27\0\51\131\6\0\51\131\5\0",
	4184, "\52\131\4\131\27\0\52\131\6\0\52\131\5\0",
	4345, "\53\131\4\131\27\0\53\131\6\0\53\131\5\0",
	4506, "\54\131\4\131\27\0\54\131\6\0\54\131\5\0",
	4667, "\55\131\4\131\27\0\55\131\6\0\55\131\5\0",
	4828, "\69\131\4\131\27\0\69\131\6\0\69\131\5\0",
	4989, "\79\131\4\131\27\0\79\131\6\0\79\131\5\0",
	5150, "\80\131\4\131\27\0\80\131\6\0\80\131\5\0",
	5311, "\81\131\4\131\27\0\81\131\6\0\81\131\5\0",
	5472, "\82\131\4\131\27\0\82\131\6\0\82\131\5\0",
	5633, "\83\131\4\131\27\0\83\131\6\0\83\131\5\0",
	5794, "\84\131\4\131\27\0\84\131\6\0\84\131\5\0",
	5955, "\85\131\4\131\27\0\85\131\6\0\85\131\5\0",
	6116, "\86\131\4\131\27\0\86\131\6\0\86\131\5\0",
	6276, "\87\131\4\131\27\0\87\131\6\0\87\131\5\0",
	6437, "\101\131\4\131\27\0\101\131\6\0\101\131\5\0",
	6598, "\111\131\4\131\27\0\111\131\6\0\111\131\5\0",
	6759, "\112\131\4\131\27\0\112\131\6\0\112\131\5\0",
	6920, "\113\131\4\131\27\0\113\131\6\0\113\131\5\0",
	7081, "\114\131\4\131\27\0\114\131\6\0\114\131\5\0",
	7242, "\115\131\4\131\27\0\115\131\6\0\115\131\5\0",
	7403, "\116\131\4\131\27\0\116\131\6\0\116\131\5\0",
	7564, "\117\131\4\131\27\0\117\131\6\0\117\131\5\0",
	7725, "\118\131\4\131\27\0\118\131\6\0\118\131\5\0",
	7886, "\119\131\4\131\27\0\119\131\6\0\119\131\5\0",
	8047, "\129\5\131\4\131\27\0\129\5\131\6\0\129\5\131\5\0",
	8208, "\129\15\131\4\131\27\0\129\15\131\6\0\129\15\131\5\0",
	8369, "\129\16\131\4\131\27\0\129\16\131\6\0\129\16\131\5\0",
	8530, "\129\17\131\4\131\27\0\129\17\131\6\0\129\17\131\5\0",
	8690, "\129\18\131\4\131\27\0\129\18\131\6\0\129\18\131\5\0",
	8851, "\129\19\131\4\131\27\0\129\19\131\6\0\129\19\131\5\0",
	9012, "\129\20\131\4\131\27\0\129\20\131\6\0\129\20\131\5\0",
	9173, "\129\21\131\4\131\27\0\129\21\131\6\0\129\21\131\5\0",
	9334, "\129\22\131\4\131\27\0\129\22\131\6\0\129\22\131\5\0",
	9495, "\129\23\131\4\131\27\0\129\23\131\6\0\129\23\131\5\0",
	9656, "\129\43\131\4\131\27\0\129\43\131\6\0\129\43\131\5\0",
	9817, "\129\53\131\4\131\27\0\129\53\131\6\0\129\53\131\5\0",
	9978, "\129\54\131\4\131\27\0\129\54\131\6\0\129\54\131\5\0",
	10139, "\129\55\131\4\131\27\0\129\55\131\6\0\129\55\131\5\0",
	10300, "\129\56\131\4\131\27\0\129\56\131\6\0\129\56\131\5\0",
	10461, "\129\57\131\4\131\27\0\129\57\131\6\0\129\57\131\5\0",
	10622, "\129\58\131\4\131\27\0\129\58\131\6\0\129\58\131\5\0",
	10783, "\129\59\131\4\131\27\0\129\59\131\6\0\129\59\131\5\0",
	10944, "\129\60\131\4\131\27\0\129\60\131\6\0\129\60\131\5\0",
	11104, "\129\61\131\4\131\27\0\129\61\131\6\0\129\61\131\5\0",
	11265, "\129\81\131\4\131\27\0\129\81\131\6\0\129\81\131\5\0",
	11426, "\129\91\131\4\131\27\0\129\91\131\6\0\129\91\131\5\0",
	11587, "\129\92\131\4\131\27\0\129\92\131\6\0\129\92\131\5\0",
	11748, "\129\93\131\4\131\27\0\129\93\131\6\0\129\93\131\5\0",
	11909, "\129\94\131\4\131\27\0\129\94\131\6\0\129\94\131\5\0",
	12070, "\129\95\131\4\131\27\0\129\95\131\6\0\129\95\131\5\0",
	12231, "\129\96\131\4\131\27\0\129\96\131\6\0\129\96\131\5\0",
	12392, "\129\97\131\4\131\27\0\129\97\131\6\0\129\97\131\5\0",
	12553, "\129\98\131\4\131\27\0\129\98\131\6\0\129\98\131\5\0",
	12714, "\129\99\131\4\131\27\0\129\99\131\6\0\129\99\131\5\0",
	12875, "\129\119\131\4\131\27\0\129\119\131\6\0\129\119\131\5\0",
	13036, "\130\1\131\4\131\27\0\130\1\131\6\0\130\1\131\5\0",
	13197, "\130\2\131\4\131\27\0\130\2\131\6\0\130\2\131\5\0",
	13358, "\130\3\131\4\131\27\0\130\3\131\6\0\130\3\131\5\0",
	13518, "\130\4\131\4\131\27\0\130\4\131\6\0\130\4\131\5\0",
	13679, "\130\5\131\4\131\27\0\130\5\131\6\0\130\5\131\5\0",
	13840, "\130\6\131\4\131\27\0\130\6\131\6\0\130\6\131\5\0",
	14001, "\130\7\131\4\131\27\0\130\7\131\6\0\130\7\131\5\0",
	14162, "\130\8\131\4\131\27\0\130\8\131\6\0\130\8\131\5\0",
	14323, "\130\9\131\4\131\27\0\130\9\131\6\0\130\9\131\5\0",
	14484, "\130\29\131\4\131\27\0\130\29\131\6\0\130\29\131\5\0",
	14645, "\130\39\131\4\131\27\0\130\39\131\6\0\130\39\131\5\0",
	14806, "\130\40\131\4\131\27\0\130\40\131\6\0\130\40\131\5\0",
	14967, "\130\41\131\4\131\27\0\130\41\131\6\0\130\41\131\5\0",
	15128, "\130\42\131\4\131\27\0\130\42\131\6\0\130\42\131\5\0",
	15289, "\130\43\131\4\131\27\0\130\43\131\6\0\130\43\131\5\0",
	15450, "\130\44\131\4\131\27\0\130\44\131\6\0\130\44\131\5\0",
	15611, "\130\45\131\4\131\27\0\130\45\131\6\0\130\45\131\5\0",
	15772, "\130\46\131\4\131\27\0\130\46\131\6\0\130\46\131\5\0",
	15933, "\130\47\131\4\131\27\0\130\47\131\6\0\130\47\131\5\0",
	16093, "\23\131\4\131\27\0\23\131\6\0\23\131\5\0",
	17703, "\26\131\4\131\27\0\26\131\6\0\26\131\5\0",
	19312, "\27\131\4\131\27\0\27\131\6\0\27\131\5\0",
	20921, "\28\131\4\131\27\0\28\131\6\0\28\131\5\0",
	22531, "\29\131\4\131\27\0\29\131\6\0\29\131\5\0",
	24140, "\31\131\4\131\27\0\31\131\6\0\31\131\5\0",
	25750, "\32\131\4\131\27\0\32\131\6\0\32\131\5\0",
	27359, "\33\131\4\131\27\0\33\131\6\0\33\131\5\0",
	28968, "\34\131\4\131\27\0\34\131\6\0\34\131\5\0",
	30578, "\36\131\4\131\27\0\36\131\6\0\36\131\5\0",
	32187, "\56\131\4\131\27\0\56\131\6\0\56\131\5\0",
	33796, "\58\131\4\131\27\0\58\131\6\0\58\131\5\0",
	35406, "\59\131\4\131\27\0\59\131\6\0\59\131\5\0",
	37015, "\61\131\4\131\27\0\61\131\6\0\61\131\5\0",
	38624, "\62\131\4\131\27\0\62\131\6\0\62\131\5\0",
	40234, "\63\131\4\131\27\0\63\131\6\0\63\131\5\0",
	41843, "\64\131\4\131\27\0\64\131\6\0\64\131\5\0",
	43452, "\65\131\4\131\27\0\65\131\6\0\65\131\5\0",
	45062, "\66\131\4\131\27\0\66\131\6\0\66\131\5\0",
	46671, "\67\131\4\131\27\0\67\131\6\0\67\131\5\0",
	48280, "\88\131\4\131\27\0\88\131\6\0\88\131\5\0",
	49890, "\90\131\4\131\27\0\90\131\6\0\90\131\5\0",
	51499, "\92\131\4\131\27\0\92\131\6\0\92\131\5\0",
	53108, "\93\131\4\131\27\0\93\131\6\0\93\131\5\0",
	54718, "\94\131\4\131\27\0\94\131\6\0\94\131\5\0",
	56327, "\95\131\4\131\27\0\95\131\6\0\95\131\5\0",
	57936, "\96\131\4\131\27\0\96\131\6\0\96\131\5\0",
	59546, "\97\131\4\131\27\0\97\131\6\0\97\131\5\0",
	61155, "\98\131\4\131\27\0\98\131\6\0\98\131\5\0",
	62764, "\99\131\4\131\27\0\99\131\6\0\99\131\5\0",
	64374, "\120\131\4\131\27\0\120\131\6\0\120\131\5\0",
	65983, "\122\131\4\131\27\0\122\131\6\0\122\131\5\0",
	67592, "\124\131\4\131\27\0\124\131\6\0\124\131\5\0",
	69202, "\125\131\4\131\27\0\125\131\6\0\125\131\5\0",
	70811, "\126\131\4\131\27\0\126\131\6\0\126\131\5\0",
	72420, "\127\131\4\131\27\0\127\131\6\0\127\131\5\0",
	74030, "\129\0\131\4\131\27\0\129\0\131\6\0\129\0\131\5\0",
	75639, "\129\1\131\4\131\27\0\129\1\131\6\0\129\1\131\5\0",
	77249, "\129\2\131\4\131\27\0\129\2\131\6\0\129\2\131\5\0",
	78858, "\129\3\131\4\131\27\0\129\3\131\6\0\129\3\131\5\0",
	80467, "\129\24\131\4\131\27\0\129\24\131\6\0\129\24\131\5\0",
	82077, "\129\26\131\4\131\27\0\129\26\131\6\0\129\26\131\5\0",
	83686, "\129\28\131\4\131\27\0\129\28\131\6\0\129\28\131\5\0",
	85295, "\129\30\131\4\131\27\0\129\30\131\6\0\129\30\131\5\0",
	86905, "\129\32\131\4\131\27\0\129\32\131\6\0\129\32\131\5\0",
	88514, "\129\34\131\4\131\27\0\129\34\131\6\0\129\34\131\5\0",
	90123, "\129\35\131\4\131\27\0\129\35\131\6\0\129\35\131\5\0",
	91733, "\129\37\131\4\131\27\0\129\37\131\6\0\129\37\131\5\0",
	93342, "\129\39\131\4\131\27\0\129\39\131\6\0\129\39\131\5\0",
	94951, "\129\41\131\4\131\27\0\129\41\131\6\0\129\41\131\5\0",
	96561, "\129\62\131\4\131\27\0\129\62\131\6\0\129\62\131\5\0",
	98170, "\129\64\131\4\131\27\0\129\64\131\6\0\129\64\131\5\0",
	99779, "\129\66\131\4\131\27\0\129\66\131\6\0\129\66\131\5\0",
	101389, "\129\68\131\4\131\27\0\129\68\131\6\0\129\68\131\5\0",
	102998, "\129\70\131\4\131\27\0\129\70\131\6\0\129\70\131\5\0",
	104607, "\129\72\131\4\131\27\0\129\72\131\6\0\129\72\131\5\0",
	106217, "\129\73\131\4\131\27\0\129\73\131\6\0\129\73\131\5\0",
	107826, "\129\75\131\4\131\27\0\129\75\131\6\0\129\75\131\5\0",
	109435, "\129\77\131\4\131\27\0\129\77\131\6\0\129\77\131\5\0",
	111045, "\129\79\131\4\131\27\0\129\79\131\6\0\129\79\131\5\0",
	112654, "\129\100\131\4\131\27\0\129\100\131\6\0\129\100\131\5\0",
	114263, "\129\102\131\4\131\27\0\129\102\131\6\0\129\102\131\5\0",
	115873, "\129\104\131\4\131\27\0\129\104\131\6\0\129\104\131\5\0",
	117482, "\129\106\131\4\131\27\0\129\106\131\6\0\129\106\131\5\0",
	119091, "\129\108\131\4\131\27\0\129\108\131\6\0\129\108\131\5\0",
	120701, "\129\110\131\4\131\27\0\129\110\131\6\0\129\110\131\5\0",
	122310, "\129\111\131\4\131\27\0\129\111\131\6\0\129\111\131\5\0",
	123919, "\129\113\131\4\131\27\0\129\113\131\6\0\129\113\131\5\0",
	125529, "\129\115\131\4\131\27\0\129\115\131\6\0\129\115\131\5\0",
	127138, "\129\117\131\4\131\27\0\129\117\131\6\0\129\117\131\5\0",
	128748, "\130\10\131\4\131\27\0\130\10\131\6\0\130\10\131\5\0",
	130357, "\130\12\131\4\131\27\0\130\12\131\6\0\130\12\131\5\0",
	131966, "\130\14\131\4\131\27\0\130\14\131\6\0\130\14\131\5\0",
	133576, "\130\16\131\4\131\27\0\130\16\131\6\0\130\16\131\5\0",
	135185, "\130\18\131\4\131\27\0\130\18\131\6\0\130\18\131\5\0",
	136794, "\130\20\131\4\131\27\0\130\20\131\6\0\130\20\131\5\0",
	138404, "\130\21\131\4\131\27\0\130\21\131\6\0\130\21\131\5\0",
	140013, "\130\23\131\4\131\27\0\130\23\131\6\0\130\23\131\5\0",
	141622, "\130\25\131\4\131\27\0\130\25\131\6\0\130\25\131\5\0",
	143232, "\130\27\131\4\131\27\0\130\27\131\6\0\130\27\131\5\0",
	144841, "\130\48\131\4\131\27\0\130\48\131\6\0\130\48\131\5\0",
	146450, "\130\50\131\4\131\27\0\130\50\131\6\0\130\50\131\5\0",
	148060, "\130\52\131\4\131\27\0\130\52\131\6\0\130\52\131\5\0",
	149669, "\130\54\131\4\131\27\0\130\54\131\6\0\130\54\131\5\0",
	151278, "\130\56\131\4\131\27\0\130\56\131\6\0\130\56\131\5\0",
	152888, "\130\58\131\4\131\27\0\130\58\131\6\0\130\58\131\5\0",
	154497, "\130\59\131\4\131\27\0\130\59\131\6\0\130\59\131\5\0",
	156106, "\130\61\131\4\131\27\0\130\61\131\6\0\130\61\131\5\0",
	157716, "\130\63\131\4\131\27\0\130\63\131\6\0\130\63\131\5\0",
	159325, "\130\65\131\4\131\27\0\130\65\131\6\0\130\65\131\5\0",
	160934, "\24\131\4\131\27\0\24\131\6\0\24\131\5\0",
	177028, "\130\100\131\4\131\27\0\131\24\131\6\0\131\24\131\5\0",
	193121, "\130\98\131\4\131\27\0\131\22\131\6\0\131\22\131\5\0",
	209215, "\130\95\131\4\131\27\0\131\19\131\6\0\131\19\131\5\0",
	225308, "\30\131\4\131\27\0\30\131\6\0\30\131\5\0",
	241402, "\130\101\131\4\131\27\0\131\25\131\6\0\131\25\131\5\0",
	257495, "\130\96\131\4\131\27\0\131\20\131\6\0\131\20\131\5\0",
	273588, "\130\97\131\4\131\27\0\131\21\131\6\0\131\21\131\5\0",
	289682, "\35\131\4\131\27\0\35\131\6\0\35\131\5\0",
	305775, "\130\99\131\4\131\27\0\131\23\131\6\0\131\23\131\5\0",
	321869, "\57\131\4\131\27\0\57\131\6\0\57\131\5\0",
	337962, "\130\84\131\4\131\27\0\130\126\131\6\0\130\126\131\5\0",
	354056, "\60\131\4\131\27\0\60\131\6\0\60\131\5\0",
	370149, "\130\79\131\4\131\27\0\130\121\131\6\0\130\121\131\5\0",
	386243, "\130\82\131\4\131\27\0\130\124\131\6\0\130\124\131\5\0",
	402336, "\130\85\131\4\131\27\0\130\127\131\6\0\130\127\131\5\0",
	418429, "\130\80\131\4\131\27\0\130\122\131\6\0\130\122\131\5\0",
	434523, "\130\81\131\4\131\27\0\130\123\131\6\0\130\123\131\5\0",
	450616, "\130\83\131\4\131\27\0\130\125\131\6\0\130\125\131\5\0",
	466710, "\68\131\4\131\27\0\68\131\6\0\68\131\5\0",
	482803, "\89\131\4\131\27\0\89\131\6\0\89\131\5\0",
	498897, "\91\131\4\131\27\0\91\131\6\0\91\131\5\0",
	514990, "\130\73\131\4\131\27\0\130\109\131\6\0\130\109\131\5\0",
	531084, "\130\70\131\4\131\27\0\130\106\131\6\0\130\106\131\5\0",
	547177, "\130\74\131\4\131\27\0\130\110\131\6\0\130\110\131\5\0",
	563270, "\130\76\131\4\131\27\0\130\112\131\6\0\130\112\131\5\0",
	579364, "\130\71\131\4\131\27\0\130\107\131\6\0\130\107\131\5\0",
	595457, "\130\72\131\4\131\27\0\130\108\131\6\0\130\108\131\5\0",
	611551, "\130\75\131\28\131\4\131\27\0\130\111\131\28\131\6\0\130\111\131\28\131\5\0",
	627644, "\100\131\4\131\27\0\100\131\6\0\100\131\5\0",
	643738, "\121\131\4\131\27\0\121\131\6\0\121\131\5\0",
	659831, "\123\131\4\131\27\0\123\131\6\0\123\131\5\0",
	675924, "\130\88\130\104\131\4\131\27\0\131\12\130\104\131\6\0\131\12\130\104\131\5\0",
	692018, "\130\89\131\4\131\27\0\131\13\131\6\0\131\13\131\5\0",
	708111, "\130\92\131\4\131\27\0\131\16\131\6\0\131\16\131\5\0",
	724205, "\130\94\131\4\131\27\0\131\18\131\6\0\131\18\131\5\0",
	740298, "\130\90\131\4\131\27\0\131\14\131\6\0\131\14\131\5\0",
	756392, "\130\91\131\4\131\27\0\131\15\131\6\0\131\15\131\5\0",
	772485, "\130\93\131\28\131\4\131\27\0\131\17\131\28\131\6\0\131\17\131\28\131\5\0",
	788579, "\129\4\131\4\131\27\0\129\4\131\6\0\129\4\131\5\0",
	804672, "\129\25\131\4\131\27\0\129\25\131\6\0\129\25\131\5\0",
	820765, "\131\26\131\3\129\25\131\4\131\27\0\131\26\131\3\129\25\131\6\0\131\26\131\3\129\25\131\5\0",
}

distances.yards = {
	9, "\23\130\114\131\27\0\23\130\116\0\23\130\115\0",
	18, "\56\130\114\131\27\0\56\130\116\0\56\130\115\0",
	27, "\88\130\114\131\27\0\88\130\116\0\88\130\115\0",
	37, "\120\130\114\131\27\0\120\130\116\0\120\130\115\0",
	46, "\129\24\130\114\131\27\0\129\24\130\116\0\129\24\130\115\0",
	55, "\129\62\130\114\131\27\0\129\62\130\116\0\129\62\130\115\0",
	64, "\129\100\130\114\131\27\0\129\100\130\116\0\129\100\130\115\0",
	73, "\130\10\130\114\131\27\0\130\10\130\116\0\130\10\130\115\0",
	82, "\130\48\130\114\131\27\0\130\48\130\116\0\130\48\130\115\0",
	91, "\24\130\114\131\27\0\24\130\116\0\24\130\115\0",
	101, "\130\100\130\114\131\27\0\131\24\130\116\0\131\24\130\115\0",
	110, "\130\98\130\114\131\27\0\131\22\130\116\0\131\22\130\115\0",
	119, "\130\95\130\114\131\27\0\131\19\130\116\0\131\19\130\115\0",
	128, "\30\130\114\131\27\0\30\130\116\0\30\130\115\0",
	137, "\130\101\130\114\131\27\0\131\25\130\116\0\131\25\130\115\0",
	146, "\130\96\130\114\131\27\0\131\20\130\116\0\131\20\130\115\0",
	155, "\130\97\130\114\131\27\0\131\21\130\116\0\131\21\130\115\0",
	165, "\35\130\114\131\27\0\35\130\116\0\35\130\115\0",
	174, "\130\99\130\114\131\27\0\131\23\130\116\0\131\23\130\115\0",
	183, "\57\130\114\131\27\0\57\130\116\0\57\130\115\0",
	192, "\130\84\130\114\131\27\0\130\126\130\116\0\130\126\130\115\0",
	201, "\60\130\114\131\27\0\60\130\116\0\60\130\115\0",
	210, "\130\79\130\114\131\27\0\130\121\130\116\0\130\121\130\115\0",
	219, "\130\82\130\114\131\27\0\130\124\130\116\0\130\124\130\115\0",
	229, "\130\85\130\114\131\27\0\130\127\130\116\0\130\127\130\115\0",
	238, "\130\80\130\114\131\27\0\130\122\130\116\0\130\122\130\115\0",
	247, "\130\81\130\114\131\27\0\130\123\130\116\0\130\123\130\115\0",
	256, "\130\83\130\114\131\27\0\130\125\130\116\0\130\125\130\115\0",
	265, "\68\130\114\131\27\0\68\130\116\0\68\130\115\0",
	274, "\89\130\114\131\27\0\89\130\116\0\89\130\115\0",
	283, "\91\130\114\131\27\0\91\130\116\0\91\130\115\0",
	293, "\130\73\130\114\131\27\0\130\109\130\116\0\130\109\130\115\0",
	302, "\130\70\130\114\131\27\0\130\106\130\116\0\130\106\130\115\0",
	311, "\130\74\130\114\131\27\0\130\110\130\116\0\130\110\130\115\0",
	320, "\130\76\130\114\131\27\0\130\112\130\116\0\130\112\130\115\0",
	329, "\130\71\130\114\131\27\0\130\107\130\116\0\130\107\130\115\0",
	338, "\130\72\130\114\131\27\0\130\108\130\116\0\130\108\130\115\0",
	347, "\130\75\131\28\130\114\131\27\0\130\111\131\28\130\116\0\130\111\131\28\130\115\0",
	357, "\100\130\114\131\27\0\100\130\116\0\100\130\115\0",
	366, "\121\130\114\131\27\0\121\130\116\0\121\130\115\0",
	402, "\130\86\131\4\131\27\0\131\10\131\6\0\131\10\131\5\0",
	644, "\1\131\4\131\27\0\1\131\6\0\1\131\5\0",
	805, "\130\67\131\4\131\27\0\130\102\131\6\0\130\102\131\5\0",
	966, "\2\131\4\131\27\0\2\131\6\0\2\131\5\0",
	1127, "\130\69\131\4\131\27\0\130\105\131\6\0\130\105\131\5\0",
	1448, "\3\131\4\131\27\0\3\131\6\0\3\131\5\0",
	1609, "\4\131\4\131\27\0\4\131\6\0\4\131\5\0",
	1770, "\14\131\4\131\27\0\14\131\6\0\14\131\5\0",
	1931, "\15\131\4\131\27\0\15\131\6\0\15\131\5\0",
	2092, "\16\131\4\131\27\0\16\131\6\0\16\131\5\0",
	2253, "\17\131\4\131\27\0\17\131\6\0\17\131\5\0",
	2414, "\18\131\4\131\27\0\18\131\6\0\18\131\5\0",
	2575, "\19\131\4\131\27\0\19\131\6\0\19\131\5\0",
	2736, "\20\131\4\131\27\0\20\131\6\0\20\131\5\0",
	2897, "\21\131\4\131\27\0\21\131\6\0\21\131\5\0",
	3058, "\22\131\4\131\27\0\22\131\6\0\22\131\5\0",
	3219, "\37\131\4\131\27\0\37\131\6\0\37\131\5\0",
	3380, "\47\131\4\131\27\0\47\131\6\0\47\131\5\0",
	3541, "\48\131\4\131\27\0\48\131\6\0\48\131\5\0",
	3701, "\49\131\4\131\27\0\49\131\6\0\49\131\5\0",
	3862, "\50\131\4\131\27\0\50\131\6\0\50\131\5\0",
	4023, "\51\131\4\131\27\0\51\131\6\0\51\131\5\0",
	4184, "\52\131\4\131\27\0\52\131\6\0\52\131\5\0",
	4345, "\53\131\4\131\27\0\53\131\6\0\53\131\5\0",
	4506, "\54\131\4\131\27\0\54\131\6\0\54\131\5\0",
	4667, "\55\131\4\131\27\0\55\131\6\0\55\131\5\0",
	4828, "\69\131\4\131\27\0\69\131\6\0\69\131\5\0",
	4989, "\79\131\4\131\27\0\79\131\6\0\79\131\5\0",
	5150, "\80\131\4\131\27\0\80\131\6\0\80\131\5\0",
	5311, "\81\131\4\131\27\0\81\131\6\0\81\131\5\0",
	5472, "\82\131\4\131\27\0\82\131\6\0\82\131\5\0",
	5633, "\83\131\4\131\27\0\83\131\6\0\83\131\5\0",
	5794, "\84\131\4\131\27\0\84\131\6\0\84\131\5\0",
	5955, "\85\131\4\131\27\0\85\131\6\0\85\131\5\0",
	6116, "\86\131\4\131\27\0\86\131\6\0\86\131\5\0",
	6276, "\87\131\4\131\27\0\87\131\6\0\87\131\5\0",
	6437, "\101\131\4\131\27\0\101\131\6\0\101\131\5\0",
	6598, "\111\131\4\131\27\0\111\131\6\0\111\131\5\0",
	6759, "\112\131\4\131\27\0\112\131\6\0\112\131\5\0",
	6920, "\113\131\4\131\27\0\113\131\6\0\113\131\5\0",
	7081, "\114\131\4\131\27\0\114\131\6\0\114\131\5\0",
	7242, "\115\131\4\131\27\0\115\131\6\0\115\131\5\0",
	7403, "\116\131\4\131\27\0\116\131\6\0\116\131\5\0",
	7564, "\117\131\4\131\27\0\117\131\6\0\117\131\5\0",
	7725, "\118\131\4\131\27\0\118\131\6\0\118\131\5\0",
	7886, "\119\131\4\131\27\0\119\131\6\0\119\131\5\0",
	8047, "\129\5\131\4\131\27\0\129\5\131\6\0\129\5\131\5\0",
	8208, "\129\15\131\4\131\27\0\129\15\131\6\0\129\15\131\5\0",
	8369, "\129\16\131\4\131\27\0\129\16\131\6\0\129\16\131\5\0",
	8530, "\129\17\131\4\131\27\0\129\17\131\6\0\129\17\131\5\0",
	8690, "\129\18\131\4\131\27\0\129\18\131\6\0\129\18\131\5\0",
	8851, "\129\19\131\4\131\27\0\129\19\131\6\0\129\19\131\5\0",
	9012, "\129\20\131\4\131\27\0\129\20\131\6\0\129\20\131\5\0",
	9173, "\129\21\131\4\131\27\0\129\21\131\6\0\129\21\131\5\0",
	9334, "\129\22\131\4\131\27\0\129\22\131\6\0\129\22\131\5\0",
	9495, "\129\23\131\4\131\27\0\129\23\131\6\0\129\23\131\5\0",
	9656, "\129\43\131\4\131\27\0\129\43\131\6\0\129\43\131\5\0",
	9817, "\129\53\131\4\131\27\0\129\53\131\6\0\129\53\131\5\0",
	9978, "\129\54\131\4\131\27\0\129\54\131\6\0\129\54\131\5\0",
	10139, "\129\55\131\4\131\27\0\129\55\131\6\0\129\55\131\5\0",
	10300, "\129\56\131\4\131\27\0\129\56\131\6\0\129\56\131\5\0",
	10461, "\129\57\131\4\131\27\0\129\57\131\6\0\129\57\131\5\0",
	10622, "\129\58\131\4\131\27\0\129\58\131\6\0\129\58\131\5\0",
	10783, "\129\59\131\4\131\27\0\129\59\131\6\0\129\59\131\5\0",
	10944, "\129\60\131\4\131\27\0\129\60\131\6\0\129\60\131\5\0",
	11104, "\129\61\131\4\131\27\0\129\61\131\6\0\129\61\131\5\0",
	11265, "\129\81\131\4\131\27\0\129\81\131\6\0\129\81\131\5\0",
	11426, "\129\91\131\4\131\27\0\129\91\131\6\0\129\91\131\5\0",
	11587, "\129\92\131\4\131\27\0\129\92\131\6\0\129\92\131\5\0",
	11748, "\129\93\131\4\131\27\0\129\93\131\6\0\129\93\131\5\0",
	11909, "\129\94\131\4\131\27\0\129\94\131\6\0\129\94\131\5\0",
	12070, "\129\95\131\4\131\27\0\129\95\131\6\0\129\95\131\5\0",
	12231, "\129\96\131\4\131\27\0\129\96\131\6\0\129\96\131\5\0",
	12392, "\129\97\131\4\131\27\0\129\97\131\6\0\129\97\131\5\0",
	12553, "\129\98\131\4\131\27\0\129\98\131\6\0\129\98\131\5\0",
	12714, "\129\99\131\4\131\27\0\129\99\131\6\0\129\99\131\5\0",
	12875, "\129\119\131\4\131\27\0\129\119\131\6\0\129\119\131\5\0",
	13036, "\130\1\131\4\131\27\0\130\1\131\6\0\130\1\131\5\0",
	13197, "\130\2\131\4\131\27\0\130\2\131\6\0\130\2\131\5\0",
	13358, "\130\3\131\4\131\27\0\130\3\131\6\0\130\3\131\5\0",
	13518, "\130\4\131\4\131\27\0\130\4\131\6\0\130\4\131\5\0",
	13679, "\130\5\131\4\131\27\0\130\5\131\6\0\130\5\131\5\0",
	13840, "\130\6\131\4\131\27\0\130\6\131\6\0\130\6\131\5\0",
	14001, "\130\7\131\4\131\27\0\130\7\131\6\0\130\7\131\5\0",
	14162, "\130\8\131\4\131\27\0\130\8\131\6\0\130\8\131\5\0",
	14323, "\130\9\131\4\131\27\0\130\9\131\6\0\130\9\131\5\0",
	14484, "\130\29\131\4\131\27\0\130\29\131\6\0\130\29\131\5\0",
	14645, "\130\39\131\4\131\27\0\130\39\131\6\0\130\39\131\5\0",
	14806, "\130\40\131\4\131\27\0\130\40\131\6\0\130\40\131\5\0",
	14967, "\130\41\131\4\131\27\0\130\41\131\6\0\130\41\131\5\0",
	15128, "\130\42\131\4\131\27\0\130\42\131\6\0\130\42\131\5\0",
	15289, "\130\43\131\4\131\27\0\130\43\131\6\0\130\43\131\5\0",
	15450, "\130\44\131\4\131\27\0\130\44\131\6\0\130\44\131\5\0",
	15611, "\130\45\131\4\131\27\0\130\45\131\6\0\130\45\131\5\0",
	15772, "\130\46\131\4\131\27\0\130\46\131\6\0\130\46\131\5\0",
	15933, "\130\47\131\4\131\27\0\130\47\131\6\0\130\47\131\5\0",
	16093, "\23\131\4\131\27\0\23\131\6\0\23\131\5\0",
	17703, "\26\131\4\131\27\0\26\131\6\0\26\131\5\0",
	19312, "\27\131\4\131\27\0\27\131\6\0\27\131\5\0",
	20921, "\28\131\4\131\27\0\28\131\6\0\28\131\5\0",
	22531, "\29\131\4\131\27\0\29\131\6\0\29\131\5\0",
	24140, "\31\131\4\131\27\0\31\131\6\0\31\131\5\0",
	25750, "\32\131\4\131\27\0\32\131\6\0\32\131\5\0",
	27359, "\33\131\4\131\27\0\33\131\6\0\33\131\5\0",
	28968, "\34\131\4\131\27\0\34\131\6\0\34\131\5\0",
	30578, "\36\131\4\131\27\0\36\131\6\0\36\131\5\0",
	32187, "\56\131\4\131\27\0\56\131\6\0\56\131\5\0",
	33796, "\58\131\4\131\27\0\58\131\6\0\58\131\5\0",
	35406, "\59\131\4\131\27\0\59\131\6\0\59\131\5\0",
	37015, "\61\131\4\131\27\0\61\131\6\0\61\131\5\0",
	38624, "\62\131\4\131\27\0\62\131\6\0\62\131\5\0",
	40234, "\63\131\4\131\27\0\63\131\6\0\63\131\5\0",
	41843, "\64\131\4\131\27\0\64\131\6\0\64\131\5\0",
	43452, "\65\131\4\131\27\0\65\131\6\0\65\131\5\0",
	45062, "\66\131\4\131\27\0\66\131\6\0\66\131\5\0",
	46671, "\67\131\4\131\27\0\67\131\6\0\67\131\5\0",
	48280, "\88\131\4\131\27\0\88\131\6\0\88\131\5\0",
	49890, "\90\131\4\131\27\0\90\131\6\0\90\131\5\0",
	51499, "\92\131\4\131\27\0\92\131\6\0\92\131\5\0",
	53108, "\93\131\4\131\27\0\93\131\6\0\93\131\5\0",
	54718, "\94\131\4\131\27\0\94\131\6\0\94\131\5\0",
	56327, "\95\131\4\131\27\0\95\131\6\0\95\131\5\0",
	57936, "\96\131\4\131\27\0\96\131\6\0\96\131\5\0",
	59546, "\97\131\4\131\27\0\97\131\6\0\97\131\5\0",
	61155, "\98\131\4\131\27\0\98\131\6\0\98\131\5\0",
	62764, "\99\131\4\131\27\0\99\131\6\0\99\131\5\0",
	64374, "\120\131\4\131\27\0\120\131\6\0\120\131\5\0",
	65983, "\122\131\4\131\27\0\122\131\6\0\122\131\5\0",
	67592, "\124\131\4\131\27\0\124\131\6\0\124\131\5\0",
	69202, "\125\131\4\131\27\0\125\131\6\0\125\131\5\0",
	70811, "\126\131\4\131\27\0\126\131\6\0\126\131\5\0",
	72420, "\127\131\4\131\27\0\127\131\6\0\127\131\5\0",
	74030, "\129\0\131\4\131\27\0\129\0\131\6\0\129\0\131\5\0",
	75639, "\129\1\131\4\131\27\0\129\1\131\6\0\129\1\131\5\0",
	77249, "\129\2\131\4\131\27\0\129\2\131\6\0\129\2\131\5\0",
	78858, "\129\3\131\4\131\27\0\129\3\131\6\0\129\3\131\5\0",
	80467, "\129\24\131\4\131\27\0\129\24\131\6\0\129\24\131\5\0",
	82077, "\129\26\131\4\131\27\0\129\26\131\6\0\129\26\131\5\0",
	83686, "\129\28\131\4\131\27\0\129\28\131\6\0\129\28\131\5\0",
	85295, "\129\30\131\4\131\27\0\129\30\131\6\0\129\30\131\5\0",
	86905, "\129\32\131\4\131\27\0\129\32\131\6\0\129\32\131\5\0",
	88514, "\129\34\131\4\131\27\0\129\34\131\6\0\129\34\131\5\0",
	90123, "\129\35\131\4\131\27\0\129\35\131\6\0\129\35\131\5\0",
	91733, "\129\37\131\4\131\27\0\129\37\131\6\0\129\37\131\5\0",
	93342, "\129\39\131\4\131\27\0\129\39\131\6\0\129\39\131\5\0",
	94951, "\129\41\131\4\131\27\0\129\41\131\6\0\129\41\131\5\0",
	96561, "\129\62\131\4\131\27\0\129\62\131\6\0\129\62\131\5\0",
	98170, "\129\64\131\4\131\27\0\129\64\131\6\0\129\64\131\5\0",
	99779, "\129\66\131\4\131\27\0\129\66\131\6\0\129\66\131\5\0",
	101389, "\129\68\131\4\131\27\0\129\68\131\6\0\129\68\131\5\0",
	102998, "\129\70\131\4\131\27\0\129\70\131\6\0\129\70\131\5\0",
	104607, "\129\72\131\4\131\27\0\129\72\131\6\0\129\72\131\5\0",
	106217, "\129\73\131\4\131\27\0\129\73\131\6\0\129\73\131\5\0",
	107826, "\129\75\131\4\131\27\0\129\75\131\6\0\129\75\131\5\0",
	109435, "\129\77\131\4\131\27\0\129\77\131\6\0\129\77\131\5\0",
	111045, "\129\79\131\4\131\27\0\129\79\131\6\0\129\79\131\5\0",
	112654, "\129\100\131\4\131\27\0\129\100\131\6\0\129\100\131\5\0",
	114263, "\129\102\131\4\131\27\0\129\102\131\6\0\129\102\131\5\0",
	115873, "\129\104\131\4\131\27\0\129\104\131\6\0\129\104\131\5\0",
	117482, "\129\106\131\4\131\27\0\129\106\131\6\0\129\106\131\5\0",
	119091, "\129\108\131\4\131\27\0\129\108\131\6\0\129\108\131\5\0",
	120701, "\129\110\131\4\131\27\0\129\110\131\6\0\129\110\131\5\0",
	122310, "\129\111\131\4\131\27\0\129\111\131\6\0\129\111\131\5\0",
	123919, "\129\113\131\4\131\27\0\129\113\131\6\0\129\113\131\5\0",
	125529, "\129\115\131\4\131\27\0\129\115\131\6\0\129\115\131\5\0",
	127138, "\129\117\131\4\131\27\0\129\117\131\6\0\129\117\131\5\0",
	128748, "\130\10\131\4\131\27\0\130\10\131\6\0\130\10\131\5\0",
	130357, "\130\12\131\4\131\27\0\130\12\131\6\0\130\12\131\5\0",
	131966, "\130\14\131\4\131\27\0\130\14\131\6\0\130\14\131\5\0",
	133576, "\130\16\131\4\131\27\0\130\16\131\6\0\130\16\131\5\0",
	135185, "\130\18\131\4\131\27\0\130\18\131\6\0\130\18\131\5\0",
	136794, "\130\20\131\4\131\27\0\130\20\131\6\0\130\20\131\5\0",
	138404, "\130\21\131\4\131\27\0\130\21\131\6\0\130\21\131\5\0",
	140013, "\130\23\131\4\131\27\0\130\23\131\6\0\130\23\131\5\0",
	141622, "\130\25\131\4\131\27\0\130\25\131\6\0\130\25\131\5\0",
	143232, "\130\27\131\4\131\27\0\130\27\131\6\0\130\27\131\5\0",
	144841, "\130\48\131\4\131\27\0\130\48\131\6\0\130\48\131\5\0",
	146450, "\130\50\131\4\131\27\0\130\50\131\6\0\130\50\131\5\0",
	148060, "\130\52\131\4\131\27\0\130\52\131\6\0\130\52\131\5\0",
	149669, "\130\54\131\4\131\27\0\130\54\131\6\0\130\54\131\5\0",
	151278, "\130\56\131\4\131\27\0\130\56\131\6\0\130\56\131\5\0",
	152888, "\130\58\131\4\131\27\0\130\58\131\6\0\130\58\131\5\0",
	154497, "\130\59\131\4\131\27\0\130\59\131\6\0\130\59\131\5\0",
	156106, "\130\61\131\4\131\27\0\130\61\131\6\0\130\61\131\5\0",
	157716, "\130\63\131\4\131\27\0\130\63\131\6\0\130\63\131\5\0",
	159325, "\130\65\131\4\131\27\0\130\65\131\6\0\130\65\131\5\0",
	160934, "\24\131\4\131\27\0\24\131\6\0\24\131\5\0",
	177028, "\130\100\131\4\131\27\0\131\24\131\6\0\131\24\131\5\0",
	193121, "\130\98\131\4\131\27\0\131\22\131\6\0\131\22\131\5\0",
	209215, "\130\95\131\4\131\27\0\131\19\131\6\0\131\19\131\5\0",
	225308, "\30\131\4\131\27\0\30\131\6\0\30\131\5\0",
	241402, "\130\101\131\4\131\27\0\131\25\131\6\0\131\25\131\5\0",
	257495, "\130\96\131\4\131\27\0\131\20\131\6\0\131\20\131\5\0",
	273588, "\130\97\131\4\131\27\0\131\21\131\6\0\131\21\131\5\0",
	289682, "\35\131\4\131\27\0\35\131\6\0\35\131\5\0",
	305775, "\130\99\131\4\131\27\0\131\23\131\6\0\131\23\131\5\0",
	321869, "\57\131\4\131\27\0\57\131\6\0\57\131\5\0",
	337962, "\130\84\131\4\131\27\0\130\126\131\6\0\130\126\131\5\0",
	354056, "\60\131\4\131\27\0\60\131\6\0\60\131\5\0",
	370149, "\130\79\131\4\131\27\0\130\121\131\6\0\130\121\131\5\0",
	386243, "\130\82\131\4\131\27\0\130\124\131\6\0\130\124\131\5\0",
	402336, "\130\85\131\4\131\27\0\130\127\131\6\0\130\127\131\5\0",
	418429, "\130\80\131\4\131\27\0\130\122\131\6\0\130\122\131\5\0",
	434523, "\130\81\131\4\131\27\0\130\123\131\6\0\130\123\131\5\0",
	450616, "\130\83\131\4\131\27\0\130\125\131\6\0\130\125\131\5\0",
	466710, "\68\131\4\131\27\0\68\131\6\0\68\131\5\0",
	482803, "\89\131\4\131\27\0\89\131\6\0\89\131\5\0",
	498897, "\91\131\4\131\27\0\91\131\6\0\91\131\5\0",
	514990, "\130\73\131\4\131\27\0\130\109\131\6\0\130\109\131\5\0",
	531084, "\130\70\131\4\131\27\0\130\106\131\6\0\130\106\131\5\0",
	547177, "\130\74\131\4\131\27\0\130\110\131\6\0\130\110\131\5\0",
	563270, "\130\76\131\4\131\27\0\130\112\131\6\0\130\112\131\5\0",
	579364, "\130\71\131\4\131\27\0\130\107\131\6\0\130\107\131\5\0",
	595457, "\130\72\131\4\131\27\0\130\108\131\6\0\130\108\131\5\0",
	611551, "\130\75\131\28\131\4\131\27\0\130\111\131\28\131\6\0\130\111\131\28\131\5\0",
	627644, "\100\131\4\131\27\0\100\131\6\0\100\131\5\0",
	643738, "\121\131\4\131\27\0\121\131\6\0\121\131\5\0",
	659831, "\123\131\4\131\27\0\123\131\6\0\123\131\5\0",
	675924, "\130\88\130\104\131\4\131\27\0\131\12\130\104\131\6\0\131\12\130\104\131\5\0",
	692018, "\130\89\131\4\131\27\0\131\13\131\6\0\131\13\131\5\0",
	708111, "\130\92\131\4\131\27\0\131\16\131\6\0\131\16\131\5\0",
	724205, "\130\94\131\4\131\27\0\131\18\131\6\0\131\18\131\5\0",
	740298, "\130\90\131\4\131\27\0\131\14\131\6\0\131\14\131\5\0",
	756392, "\130\91\131\4\131\27\0\131\15\131\6\0\131\15\131\5\0",
	772485, "\130\93\131\28\131\4\131\27\0\131\17\131\28\131\6\0\131\17\131\28\131\5\0",
	788579, "\129\4\131\4\131\27\0\129\4\131\6\0\129\4\131\5\0",
	804672, "\129\25\131\4\131\27\0\129\25\131\6\0\129\25\131\5\0",
	820765, "\131\26\131\3\129\25\131\4\131\27\0\131\26\131\3\129\25\131\6\0\131\26\131\3\129\25\131\5\0",
}

ordinals = {
	{L"az első"},
	{L"a második"},
	{L"a harmadik"},
	{L"a negyedik"},
	{L"az ötödik"},
	{L"a hatodik"},
	{L"a hetedik"},
	{L"a nyolcadik"},
	{L"a kilencedik"},
	{L"a tizedik"},
	{L"a tizenegyedik"},
	{L"a tizenkettedik"},
	{L"a tizenharmadik"},
	{L"a tizennegyedik"},
	{L"a tizenötödik"},
	{L"a tizenhatodik"},
	{L"a tizenhetedik"},
	{L"a tizennyolcadik"},
	{L"a tizenkilencedik"},
	{L"a huszadik"},
}

